import { writeFile } from "fs/promises";

import { getMembers } from "@/lib/members";
import { getCurrentTermYear } from "@/utils";

async function createMembersApi() {
  const { term, year } = getCurrentTermYear();
  const members = await getMembers(year, term);

  await writeFile("public/api/members.json", JSON.stringify(members));
}

void createMembersApi();
